#ifndef GUARD_Read_String_h
#define GUARD_Read_String_h

// Read_String.h

#include <string>			// string
#include <fstream>			// ifstream
#include <algorithm>		// copy
#include <iterator>			// back_inserter

// This function reads a string of length "n" from input stream "is". 
// This function is especially useful when the input stream is binary. 
// Before calling this function, create the string.

std::ifstream& Read_String( std::ifstream& is, std::string& s, std::string::size_type n )
{
	char* c = new char[n] ;
	is.read( c, std::streamsize(n) ) ;
	s.clear() ;
	// If the last character in c is NULL, the copy algorithm will copy
	// the NULL. In contrast, the simple assignment s = c will not.
	std::copy( c, c+n, std::back_inserter(s) ) ;
	delete[] c ;
	return is ;
}

#endif
