#ifndef GUARD_seg2_misc_h
#define GUARD_seg2_misc_h

// seg2_misc.h
// This header file contains the declarations of functions and 
// structures that are associated with seg2record.

#include <fstream>						// ofstream
#include <ios>							// ios_base
#include <string>						// string

struct Record_Info {
	unsigned short int n_traces ;		// Number of traces in the record.
	std::string units ;					// Units for the spatial dimension.
										// For example, feet or meters.
} ;

struct Location{
	double x ;
	double y ;
	double z ;
} ;

struct Trace_Info {
	char data_format ;					// Data format code.
	unsigned long int n_samp ;			// Number of samples in the trace.
	double dt ;							// Sample interval (seconds).
	unsigned long int n_stack ;			// Number of stacks.
	double delay ;						// Time period (seconds) between
										// between the trigger and the
										// the beginning of the recording.
	double descale ;					// Number used to compute the
										// trace voltage.
	Location rec_loc ;					// Location of the receiver.
	Location src_loc ;					// Location of the source.
} ;

std::ofstream& adjust_file_boundary( std::ofstream& ) ;

#endif