#ifndef GUARD_seg2_sb_h
#define GUARD_seg2_sb_h

// seg2_sb.h

#include <iostream>					// ostream, cerr
#include <fstream>					// ifstream, ofstream
#include <string>					// string
#include <map>						// map

class String_Block {
	friend class File_Descriptor ;
	friend class Trace_Block ;

public:
private:

	// Default constructor.
	String_Block() ;

	// Read the string block from a binary stream.
	std::ifstream& read( std::ifstream&, const char ) ;

	// Write the string block to a binary stream.
	std::ofstream& write( std::ofstream&, const char, const char, const char ) const ;

	// Set a keyword and its value.
	void set_keyword( const std::string, const std::string ) ;

	// Delete a keyword and its value.
	void delete_keyword( const std::string ) ;

	// Clear all keywords and values. 
	void clear() ;

	// Accessor functions.
	// Get the value associated with a keyword.
	std::string get_value( const std::string ) const ;

	// Print the entire string block in a text (ascii) file.
	std::ostream& print( std::ostream& ) const ;

	// Map of keywords and values. 
	std::map<std::string,std::string> sb ;		
										
} ;

#endif