
@echo on
@echo.
@echo This batch file tests various features of program seg2_edit


@echo Testing the feature that prints the record.
@..\release\seg2_edit -print -infile e030.dat > e030_info.txt

@echo Testing the feature that prints concise information about the record.
@..\release\seg2_edit -print -concise -infile e030.dat > e030_cinfo.txt

@echo Testing the feature that deletes traces.
@..\release\seg2_edit -delete_traces 37  48 -infile e030.dat -outfile e030a.dat
@..\release\seg2_edit -print -infile e030a.dat > e030a_info.txt

@echo Testing the feature that sets traces to zero.
@..\release\seg2_edit -zero_traces 25 26 -infile e030.dat -outfile e030b.dat
@..\release\seg2_edit -print -infile e030b.dat > e030b_info.txt

@echo Testing the feature that sets keywords.
@..\release\seg2_edit -set_keywords -infile e030.dat -outfile e030c.dat <set_keywords.txt
@..\release\seg2_edit -print -infile e030c.dat > e030c_info.txt

@echo Testing the feature that deletes keywords.
@..\release\seg2_edit -delete_keywords -infile e030.dat -outfile e030d.dat <delete_keywords.txt
@..\release\seg2_edit -print -infile e030d.dat > e030d_info.txt

@echo Testing the feature that extracts traces.
@..\release\seg2_edit -extract_traces -infile e030.dat -tracefile t030 >extract_info.txt

@echo Testing the feature that creates a SEG-2 file.
@..\release\seg2_edit -create_seg2 -tracefile t030 -outfile t030.dat  <t030_setup.txt
@..\release\seg2_edit -print -infile t030.dat > t030_info.txt

@echo Testing the feature that merges SEG-2 files.
@..\release\seg2_edit -merge -outfile m030.dat  <files2merge.txt
@..\release\seg2_edit -print -infile m030.dat > m030_info.txt

@echo Testing the feature that scales traces.
@..\release\seg2_edit -scale_traces 2.0 -infile e030.dat -outfile e030e.dat 
@..\release\seg2_edit -print -infile e030e.dat > e030e_info.txt

@echo Testing the feature that stacks (+) traces.
@..\release\seg2_edit -stack_traces add -infile1 e030.dat -infile2 e030.dat -outfile e030f.dat 
@..\release\seg2_edit -print -infile e030f.dat > e030f_info.txt

@echo Testing the feature that stacks (-) traces.
@..\release\seg2_edit -stack_traces subtract -infile1 e030.dat -infile2 e030.dat -outfile e030g.dat 
@..\release\seg2_edit -print -infile e030g.dat > e030g_info.txt
